Get Rewards
curl --request POST \
--url https://whitebit.com/api/v4/mining/rewards \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"account": "miner123",
"from": 1640995200,
"to": 1641081600,
"limit": 30,
"offset": 0
}
'import requests
url = "https://whitebit.com/api/v4/mining/rewards"
payload = {
"account": "miner123",
"from": 1640995200,
"to": 1641081600,
"limit": 30,
"offset": 0
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account: 'miner123', from: 1640995200, to: 1641081600, limit: 30, offset: 0})
};
fetch('https://whitebit.com/api/v4/mining/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offset": 123,
"limit": 123,
"data": [
{
"miningAccountName": "miner123",
"payoutDestination": "external_address",
"payoutTransactionHash": "0e3e2357e806b6cdb1f70b54c3a3a17b6714ee1f0e68bebb44a74b1efd512098",
"payoutAddress": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
"payoutTime": 1641085200,
"rewardCurrency": "BTC",
"totalReward": "0.00125",
"reward": "0.001",
"fee": "0.00025",
"fppsRate": "0.000125",
"hashRate": "100",
"date": 1641081600
}
]
}{
"code": 422,
"message": "Incorrect timestamp"
}Get Rewards
Retrieve the history of mining reward payouts for an account via the WhiteBIT V4 API.
POST
/
api
/
v4
/
mining
/
rewards
Get Rewards
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Mining pool account
Example:
"miner123"
Date timestamp starting from which rewards are received
Example:
1640995200
Date timestamp until which rewards are received
Example:
1641081600
Required range:
1 <= x <= 100Example:
30
Required range:
0 <= x <= 10000Example:
0
Was this page helpful?
⌘I